package com.deryckwilliams.botControl1;

/*******************************************************************************
 */
public final class BotBattery {
	private int level;
	private static final int NUM_BATS = 5;
	private static final float FLAT_BAT_VOLTS = 1.1f;
	private static final float FULL_BAT_VOLTS = 1.5f;
	private static final int MAX_LEVEL = 1023;
	private static final float MAX_VOLTS = 10f;

	/***************************************************************************
	 */
	public BotBattery(int batLevel) {
		level = batLevel;
	}
	
	/***************************************************************************
	 */
	public float getTotalVolts() {
		return ((float)level * MAX_VOLTS) / (float)MAX_LEVEL;
	}
	
	/***************************************************************************
	 */
	public float getVoltsPerBat() {
		return getTotalVolts() / (float)NUM_BATS;
	}

	/***************************************************************************
	 */
	public int getPctFull() {
		float volts = getVoltsPerBat();
		if(volts >= FULL_BAT_VOLTS)
			return 100;
		if(volts <= FLAT_BAT_VOLTS)
			return 0;
		return (int)(((volts - FLAT_BAT_VOLTS) * 100) / (FULL_BAT_VOLTS - FLAT_BAT_VOLTS));
	}
}
