package com.deryckwilliams.botControl1.android;

import java.util.Set;

import android.app.ListActivity;
import android.bluetooth.BluetoothAdapter;
import android.bluetooth.BluetoothDevice;
import android.os.Bundle;
import android.widget.ArrayAdapter;

/*******************************************************************************
 */
public class BotBlueDevice extends ListActivity {
	private BluetoothAdapter mBluetoothAdapter;
	private String error;

	/***************************************************************************
	 */
	public BotBlueDevice() {
		error = null;
		mBluetoothAdapter = BluetoothAdapter.getDefaultAdapter();
		if (mBluetoothAdapter == null) {
		    error = "No bluetooth adaptor";
		}
		else
		{
			if (!mBluetoothAdapter.isEnabled()) {
				error = "Bluetooth disabled";
			}
		}
	}
	
	/***************************************************************************
	 * Called when the activity is first created.
	 */
    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.main);

        fillList();
    }
    
	/***************************************************************************
	 */
    @Override
    protected void onResume() {
        super.onResume();

    }

	/***************************************************************************
	 */
    @Override
    protected void onPause() {
        super.onPause();

    }

	/***************************************************************************
	 */
    private void fillList() {
    	ArrayAdapter<String> myData = new ArrayAdapter<String>(this, R.layout.settings_row);
    	if(error != null)
    	{
    		myData.add(error);
    	}
    	else
    	{
    		Set<BluetoothDevice> pairedDevices = mBluetoothAdapter.getBondedDevices();
    		// If there are paired devices
    		if (pairedDevices.size() > 0) {
    		    // Loop through paired devices
    		    for (BluetoothDevice device : pairedDevices) {
    		        // Add the name and address to an array adapter to show in a ListView
    		    	myData.add(device.getName() + "\n" + device.getAddress());
    		    }
    		}
    		else
    		{
    			myData.add("No devices found");
    		}
    	}
    	setListAdapter(myData);
    }
}
