package com.deryckwilliams.botControl1.arduino;

public class BotProtocol {
	// comms layer stuff
	public static final char STX                    = 'S';
	public static final char ETX                    = 'E';
	public static final char ACK                    = 'A';
	public static final char NAK                    = 'N';

	// consts for messages received
	public static final int CMD_VAL_LEN = 4;

	// 'D'rive commands
	public static final char CMDS_DRIVE             = 'D';
	public static final char CMD_LEFT               = 'L';
	public static final char CMD_LEFT_REV           = 'l';
	public static final char CMD_RIGHT              = 'R';
	public static final char CMD_RIGHT_REV          = 'r';
	public static final char CMD_FORWARD            = 'F';
	public static final char CMD_REVERSE            = 'V';
	public static final char CMD_STOP               = '0';

	// 'M'ode commands
	public static final char CMDS_MODE              = 'M';
	public static final char CMD_REMOTE_CONTROL     = 'C';
	public static final char CMD_SET_PATH           = 'P';
	public static final char CMD_SEEK_LIGHT         = 'I';

	// 'P'ower sensor commands
	public static final char CMDS_POWER             = 'P';
	public static final char CMD_BAT_LEVEL_REQ      = 'V';
	public static final char CMD_BAT_LEVEL_RESP     = 'v';
	public static final char CMD_AMP_SENS_REQ       = 'C';
	public static final char CMD_AMP_SENS_RESP      = 'c';

	// Light sensor commands
	public static final char CMDS_LITGHT_SENS       = 'L';
	public static final char CMD_LIGHT_SENS_LF_REQ  = '1';
	public static final char CMD_LIGHT_SENS_LF_RESP = '2';
	public static final char CMD_LIGHT_SENS_RF_REQ  = '3';
	public static final char CMD_LIGHT_SENS_RF_RESP = '4';
	public static final char CMD_LIGHT_SENS_LB_REQ  = '5';
	public static final char CMD_LIGHT_SENS_LB_RESP = '6';
	public static final char CMD_LIGHT_SENS_RB_REQ  = '7';
	public static final char CMD_LIGHT_SENS_RB_RESP = '8';

	// 'O'ther sensor commands
	public static final char CMDS_OTHER_SENS        = 'O';
	public static final char CMD_PROX_SENS_REQ      = 'P';
	public static final char CMD_PROX_SENS_RESP     = 'p';
	public static final int LEFT_PROX_MASK          = 0x01;
	public static final int RIGHT_PROX_MASK         = 0x02;

	// 'C'law commands
	public static final char CMDS_CLAW              = 'C';
	public static final char CMD_CLAW_PAN           = 'P';
	public static final char CMD_CLAW_PAN_NEG       = 'p';
	public static final char CMD_CLAW_TILT          = 'T';
	public static final char CMD_CLAW_TILT_NEG      = 't';
	public static final char CMD_CLAW_OPEN          = 'O';
	public static final char CMD_CLAW_OPEN_PLUS     = 'o';
	public static final char CMD_CLAW_OPEN_NEG      = 'c';


	// I2C Ids
	public static final int I2C_DISPLAY             = 8;
	public static final int I2C_CLAW                = 9;

}
